Package org.springframework.batch.support.transaction

# Class ResourcelessTransactionManager

java.lang.Object
org.springframework.transaction.support.AbstractPlatformTransactionManager
org.springframework.batch.support.transaction.ResourcelessTransactionManager

All Implemented Interfaces:
  `Serializable`, `org.springframework.transaction.PlatformTransactionManager`, `org.springframework.transaction.TransactionManager`

public class ResourcelessTransactionManager extends org.springframework.transaction.support.AbstractPlatformTransactionManager

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager

  `org.springframework.transaction.support.AbstractPlatformTransactionManager.SuspendedResourcesHolder`

- ## Field Summary

  ### Fields inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager

  `logger, SYNCHRONIZATION_ALWAYS, SYNCHRONIZATION_NEVER, SYNCHRONIZATION_ON_ACTUAL_TRANSACTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourcelessTransactionManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doBegin(Object transaction, org.springframework.transaction.TransactionDefinition definition)`
  `protected void`
  `doCleanupAfterCompletion(Object transaction)`
  `protected void`
  `doCommit(org.springframework.transaction.support.DefaultTransactionStatus status)`
  `protected Object`
  `doGetTransaction()`
  `protected void`
  `doRollback(org.springframework.transaction.support.DefaultTransactionStatus status)`
  `protected void`
  `doSetRollbackOnly(org.springframework.transaction.support.DefaultTransactionStatus status)`
  `protected boolean`
  `isExistingTransaction(Object transaction)`

  ### Methods inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager

  `commit, determineTimeout, doResume, doSuspend, getDefaultTimeout, getTransaction, getTransactionSynchronization, invokeAfterCompletion, isFailEarlyOnGlobalRollbackOnly, isGlobalRollbackOnParticipationFailure, isNestedTransactionAllowed, isRollbackOnCommitFailure, isValidateExistingTransaction, newTransactionStatus, prepareForCommit, prepareSynchronization, prepareTransactionStatus, registerAfterCompletionWithExistingTransaction, resume, rollback, setDefaultTimeout, setFailEarlyOnGlobalRollbackOnly, setGlobalRollbackOnParticipationFailure, setNestedTransactionAllowed, setRollbackOnCommitFailure, setTransactionSynchronization, setTransactionSynchronizationName, setValidateExistingTransaction, shouldCommitOnGlobalRollbackOnly, suspend, triggerBeforeCommit, triggerBeforeCompletion, useSavepointForNestedTransaction`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourcelessTransactionManager

    public ResourcelessTransactionManager()

- ## Method Details

  - ### doBegin

    protected void doBegin(Object transaction, org.springframework.transaction.TransactionDefinition definition) throws org.springframework.transaction.TransactionException
    Specified by:
      `doBegin` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
    Throws:
      `org.springframework.transaction.TransactionException`

  - ### doCommit

    protected void doCommit(org.springframework.transaction.support.DefaultTransactionStatus status) throws org.springframework.transaction.TransactionException
    Specified by:
      `doCommit` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
    Throws:
      `org.springframework.transaction.TransactionException`

  - ### doGetTransaction

    protected Object doGetTransaction() throws org.springframework.transaction.TransactionException
    Specified by:
      `doGetTransaction` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
    Throws:
      `org.springframework.transaction.TransactionException`

  - ### doRollback

    protected void doRollback(org.springframework.transaction.support.DefaultTransactionStatus status) throws org.springframework.transaction.TransactionException
    Specified by:
      `doRollback` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
    Throws:
      `org.springframework.transaction.TransactionException`

  - ### isExistingTransaction

    protected boolean isExistingTransaction(Object transaction) throws org.springframework.transaction.TransactionException
    Overrides:
      `isExistingTransaction` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
    Throws:
      `org.springframework.transaction.TransactionException`

  - ### doSetRollbackOnly

    protected void doSetRollbackOnly(org.springframework.transaction.support.DefaultTransactionStatus status) throws org.springframework.transaction.TransactionException
    Overrides:
      `doSetRollbackOnly` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
    Throws:
      `org.springframework.transaction.TransactionException`

  - ### doCleanupAfterCompletion

    protected void doCleanupAfterCompletion(Object transaction)
    Overrides:
      `doCleanupAfterCompletion` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`